DECLARE @idoc int
DECLARE @doc varchar(1000)

SELECT @doc = '
	<ROOT>
	   <CUSTOMERS CUSTOMER_ID="ENGN" COMPANY_NAME="engn Limited" ADDRESS="Technology Park, Antrim"/>
	   <CUSTOMERS CUSTOMER_ID="TASK01" COMPANY_NAME="Task Software Limited" ADDRESS="Technology Park, Antrim"/>
	</ROOT>
	'

-- Create an internal representation of the XML document.
EXEC sp_xml_preparedocument @idoc OUTPUT, @doc

-- Execute a SELECT statement using OPENXML rowset provider.
SELECT *
FROM OPENXML (@idoc, '/ROOT/CUSTOMERS', 1)
      WITH (CUSTOMER_ID  varchar(10),
            COMPANY_NAME varchar(50),
						ADDRESS varchar(50))

-- Cleanup
EXEC sp_xml_removedocument @idoc
